import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import AiCloudLogoLight from './AiCloudLogoLight';
import AiCloudLogoDark from './AiCloudLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const AiCloudLogoSvg = forwardRef(function AiCloudLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(AiCloudLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(AiCloudLogoLight, Object.assign({}, props, { ref: ref })));
});
export default AiCloudLogoSvg;
